Subject: Re: [RFC/PATCH] Documentation/technical/api-fswatch.txt: start with outline

From: Junio C Hamano <[email-masked]>
Date: Wed, 13 Mar 2013 12:38:02 -0700

Karsten Blees <[email-masked]> writes:

> However, AFAIK inotify doesn't work recursively, so the daemon
> would at least have to track the directory structure to be able to
> register / unregister inotify handlers as directories come and go.

Yes, and you would need one inotify per directory but you do not
have an infinite supply of outstanding inotify watch (wasn't the
limit like 8k per a single uid or something?), so the daemon must be
prepared to say "I'll watch this, that and that directories, but the
consumers should check other directories themselves."

FWIW, I share your suspicion that an effort in the direction this
thread suggests may end up duplicating what the caching vfs layer
already does, and doing so poorly.